c	function ran(X)
c      y=x 
c      if(y.lt.1.)goto 1
c	iy=y
c      y=y/2.
c      iiy=iy/2
c	iq=iy-iiy
c      if(iq.le. 0.1e-3) iy=iy + 1
c1	call rand(iy,iz,y)
c      ran=y
c      x=y
c      return
c      end
	function ran(xamp)
	dimension aa(2)
	data aa(1)/.3141593/
	aa(1)=rand(aa(1))
	ran=aa(1)
	xamp=aa(1)
	return
	end
